UNPKG

2.22 kBJSONView Raw
1{
2 "name": "v-contextmenu",
3 "description": "ContextMenu based on Vue 2.0",
4 "version": "2.9.0",
5 "author": "heynext <heynext.xyz@gmail.com>",
6 "main": "dist/index.common.js",
7 "module": "dist/index.esm.js",
8 "files": [
9 "src",
10 "dist"
11 ],
12 "keywords": [
13 "vue",
14 "contextmenu",
15 "vue-contextmenu",
16 "vue-component",
17 "rightclick"
18 ],
19 "scripts": {
20 "dev": "cross-env NODE_ENV=development webpack-dev-server --progress --config examples/webpack.config.js",
21 "build": "npm run build:package & npm run build:example",
22 "build:package": "rm -fr dist && rollup -c && stylus -c src/styles/index.styl --out dist",
23 "build:example": "rm -fr sites && cross-env NODE_ENV=production webpack --config examples/webpack.config.js --progress --hide-modules && cp examples/index.html sites",
24 "prepublishOnly": "npm run lint && npm run build:package",
25 "lint": "eslint --ext .js,.vue src",
26 "lint:fix": "eslint --ext .js,.vue src --fix",
27 "ghpages": "npm run build:example && gh-pages -d sites"
28 },
29 "peerDependencies": {
30 "vue": "^2.5.0"
31 },
32 "devDependencies": {
33 "cross-env": "^6.0.0",
34 "css-loader": "^3.3.0",
35 "eslint": "^6.7.2",
36 "eslint-plugin-vue": "^6.0.1",
37 "file-loader": "^5.0.0",
38 "gh-pages": "^2.1.0",
39 "rollup": "^1.27.0",
40 "rollup-plugin-commonjs": "^10.1.0",
41 "rollup-plugin-copy": "^3.1.0",
42 "rollup-plugin-terser": "^5.1.3",
43 "rollup-plugin-vue": "^5.1.0",
44 "style-loader": "^1.0.0",
45 "stylus": "^0.54.5",
46 "stylus-loader": "^3.0.2",
47 "terser-webpack-plugin": "^2.2.3",
48 "url-loader": "^3.0.0",
49 "vue": "^2.5.0",
50 "vue-loader": "^15.0.0",
51 "vue-template-compiler": "^2.5.16",
52 "webpack": "^4.8.3",
53 "webpack-cli": "^3.3.0",
54 "webpack-dev-server": "^3.1.4"
55 },
56 "license": "MIT",
57 "repository": {
58 "type": "git",
59 "url": "https://github.com/heynext/v-contextmenu.git"
60 },
61 "bugs": {
62 "url": "https://github.com/heynext/v-contextmenu/issues"
63 },
64 "homepage": "https://github.com/heynext/v-contextmenu",
65 "engines": {
66 "node": ">= 4.0.0",
67 "npm": ">= 3.0.0"
68 },
69 "browserslist": [
70 "> 1%",
71 "last 2 versions",
72 "not ie <= 8"
73 ],
74 "dependencies": {}
75}